Bug 24844 - Focus on the system preferences searchbar when going to admin home
Summary: Focus on the system preferences searchbar when going to admin home
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-11 03:38 UTC by Aleisha Amohia
Modified: 2020-04-13 17:20 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05


Attachments
Bug 24844: Focus syspref searchbar (1.18 KB, patch)
2020-03-11 03:40 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 24844: Focus syspref searchbar (1.25 KB, patch)
2020-03-11 11:18 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 24844: Focus syspref searchbar (1.36 KB, patch)
2020-03-15 13:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2020-03-11 03:38:39 UTC
Every time I go to the Administration main page I have to click into the syspref search bar. Would be nice if I didn't have to do that.
Comment 1 Aleisha Amohia 2020-03-11 03:40:19 UTC
Created attachment 100502 [details] [review]
Bug 24844: Focus syspref searchbar

To test:
1) Go to Administration
2) Notice neither of the syspref search bars are focussed so you have to
click inside one to begin searching
3) Apply patch and refresh page
4) Notice the header syspref search bar is now focussed so you can begin
typing straight away

Sponsored-by: Catalyst IT
Comment 2 PTFS Europe Sandboxes 2020-03-11 11:18:52 UTC
Created attachment 100539 [details] [review]
Bug 24844: Focus syspref searchbar

To test:
1) Go to Administration
2) Notice neither of the syspref search bars are focussed so you have to
click inside one to begin searching
3) Apply patch and refresh page
4) Notice the header syspref search bar is now focussed so you can begin
typing straight away

Sponsored-by: Catalyst IT

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Katrin Fischer 2020-03-15 13:52:13 UTC
Created attachment 100697 [details] [review]
Bug 24844: Focus syspref searchbar

To test:
1) Go to Administration
2) Notice neither of the syspref search bars are focussed so you have to
click inside one to begin searching
3) Apply patch and refresh page
4) Notice the header syspref search bar is now focussed so you can begin
typing straight away

Sponsored-by: Catalyst IT

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2020-03-19 09:23:49 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-04-03 20:24:20 UTC
backported to 19.11.x for 19.11.05
Comment 6 Lucas Gass 2020-04-13 17:20:37 UTC
not backporting enhancement to 19.05.x